import java.awt.Graphics;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import javax.swing.JApplet;


@SuppressWarnings("serial")
public class DessinApplet extends JApplet implements MouseListener,
		MouseMotionListener {

	private int x;
	private int y;
	private int xnew;
	private int ynew;
	private boolean pressed;
	
	public void paint (Graphics g){
		g.drawRect(0, 0, 300, 299);
		if (pressed) g.drawLine(x, y, xnew, ynew);
	}
	
	public void init(){
		x=0;
		y=0;
		pressed = false;
		addMouseListener (this);
		addMouseMotionListener (this);
	}
	
	@Override
	public void mouseClicked(MouseEvent arg0) {
	}

	@Override
	public void mouseEntered(MouseEvent arg0) {

	}

	@Override
	public void mouseExited(MouseEvent arg0) {
	}

	@Override
	public void mousePressed(MouseEvent arg0) {
		pressed = true;
		x=arg0.getX();
		y=arg0.getY();
		xnew=arg0.getX();
		ynew=arg0.getY();
	}

	@Override
	public void mouseReleased(MouseEvent arg0) {
		pressed = false;
	}

	@Override
	public void mouseDragged(MouseEvent arg0) {
		if (pressed) {
			x=xnew;
			y=ynew;
			xnew=arg0.getX();
			ynew=arg0.getY();
		}
		repaint();
	}

	@Override
	public void mouseMoved(MouseEvent arg0) {

	}

}
